/* ser_sr24_helper.h
 * 
 * Defines the internal helper functions used for the SR24 device.
 * 
 * Copyright (C) 2000, Winford Engineering.
 * See file LICENSE.txt for details.
 * 
 * Winford Engineering
 * www.winfordeng.com
 */
#ifndef ser_sr24_helper_h
#define ser_sr24_helper_h


/* Function prototypes: */

void ser_sr24_dispatch_event(ser_sr24_data *data, int id, int value);
void ser_sr24_process_input(ser_sr24_data *data, char* input);
int ser_sr24_create_eventthread(ser_sr24_data *data);
void ser_sr24_close_eventthread(ser_sr24_data *data, int mode);
void ser_sr24_reset_board_data(ser_sr24_data *data);

#ifdef LINUX
void *ser_sr24_readthread(void *arg);
void *ser_sr24_eventthread(void *arg);
#endif

#ifdef COMMONWIN
DWORD WINAPI ser_sr24_readthread(void *arg);
DWORD WINAPI ser_sr24_eventthread(void *arg);

int ser_sr24_wincb_create(ser_sr24_data *data);
int ser_sr24_wincb_close(ser_sr24_data *data);
void ser_sr24_table_add(ser_sr24_data *data);
void ser_sr24_table_remove(ser_sr24_data *data);

long WINAPI ser_sr24_wincb_proc(HWND hWnd, UINT Message, WPARAM wParam, LPARAM lParam);

#endif

#endif /* ser_sr24_helper_h */